unit mainform;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdActns, ActnList, ImgList, Menus, ComCtrls, ToolWin, ExtCtrls, Buttons,
  StdCtrls;

type
  TIDEForm = class(TForm)
    ImageList1: TImageList;
    ActionList1: TActionList;
    FileNew1: TAction;
    FileOpen1: TAction;
    FileClose1: TWindowClose;
    FileSave1: TAction;
    FileSaveAs1: TAction;
    FileExit1: TAction;
    EditCut1: TEditCut;
    EditCopy1: TEditCopy;
    EditPaste1: TEditPaste;
    WindowCascade1: TWindowCascade;
    WindowTileHorizontal1: TWindowTileHorizontal;
    WindowTileVertical1: TWindowTileVertical;
    WindowMinimizeAll1: TWindowMinimizeAll;
    WindowArrangeAll1: TWindowArrange;
    HelpAbout1: TAction;
    OpenDialog: TOpenDialog;
    RecentMenu: TPopupMenu;
    cFIlea1: TMenuItem;
    cFile21: TMenuItem;
    ControlBar1: TControlBar;
    ToolBar1: TToolBar;
    ToolButton7: TToolButton;
    ToolButton8: TToolButton;
    ToolButton10: TToolButton;
    ToolButton11: TToolButton;
    ToolButton12: TToolButton;
    ToolButton13: TToolButton;
    ToolButton14: TToolButton;
    ToolButton15: TToolButton;
    ToolButton16: TToolButton;
    ToolButton18: TToolButton;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Close1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Edit1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Search1: TMenuItem;
    View1: TMenuItem;
    Project1: TMenuItem;
    Run1: TMenuItem;
    Component1: TMenuItem;
    Database1: TMenuItem;
    Tools1: TMenuItem;
    Help1: TMenuItem;
    WindowA1: TMenuItem;
    WindowB1: TMenuItem;
    WindowC1: TMenuItem;
    ToolBar2: TToolBar;
    ToolBar3: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    Find1: TMenuItem;
    Add1: TMenuItem;
    Run2: TMenuItem;
    Install1: TMenuItem;
    Explore1: TMenuItem;
    Environmentoptions1: TMenuItem;
    Index1: TMenuItem;
    procedure FormShow(Sender: TObject);
    procedure ControlBar1Resize(Sender: TObject);
    procedure DoNothing(Sender: TObject);
    procedure FileOpen1Execute(Sender: TObject);
    procedure WindowC1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  IDEForm: TIDEForm;

implementation

uses ObjInsp, ProjMan, Editor;

{$R *.DFM}

procedure TIDEForm.FormShow(Sender: TObject);
begin
  Left := 0;
  Top := 0;
  Width := Screen.Width;
  Height := ControlBar1.Height + (Height - ClientHeight);
  Constraints.MaxHeight := Height;
  with ObjInspector do begin
    Left := 1;
    Top := Self.Top + Self.Height;
    Show;
  end;
  ProjManager.Show;
  EditWin.Show;
end;

procedure TIDEForm.ControlBar1Resize(Sender: TObject);
begin
  Constraints.MaxHeight := 0;
  Height := ControlBar1.Height + (Height - ClientHeight);
  Constraints.MaxHeight := Height;
end;

procedure TIDEForm.DoNothing(Sender: TObject);
begin
 ;
end;

procedure TIDEForm.FileOpen1Execute(Sender: TObject);
begin
  OpenDialog.Execute;
end;

procedure TIDEForm.WindowC1Click(Sender: TObject);
begin
  with (Sender as TMenuItem) do
    if checked then
      Checked := false
    else
      Checked := true;
end;

end.
